import periodic_table

elements = [(v['ord'],(k,v)) for (k,v) in periodic_table.periodic_table.iteritems()]
elements.sort()

sym_to_emass = {}
f = file( "exact_masses.txt", "r")
for line in f:
  vs = line.split()
  if len( vs) == 2:
    k,v = vs
    sym_to_emass[k] = float(v)
f.close()

import pprint
for ord,(k,v) in elements:
  v['key'] = '"%s"' % k
  if k in sym_to_emass:
    v['exact_mass'] = sym_to_emass[k]
    print '%(key)-5s: {"ord": %(ord)3d, "weight": %(weight)8.4f, "exact_mass": %(exact_mass)12.8f, "en": %(en)4.2f, "els": %(els)2d, "valency": %(valency)s},' % (v) 
  elif "query" in v:
    print '"%s":'%k, "%s,"%v
  else:
    print "ssssssshhhhhiiiiiiitttttt"
